.\"	$NetBSD: esp.4,v 1.11 2005/06/20 13:25:24 peter Exp $
.\"
.\" Copyright (c) 1997 Eric S. Hvozda <hvozda@netcom.com>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Eric S. Hvozda.
.\" 4. The name of Eric S. Hvozda may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: esp.4,v 1.11 2005/06/20 13:25:24 peter Exp $
.\"
.Dd December 3, 2001
.Dt ESP 4
.Os
.Sh NAME
.Nm esp
.Nd NCR 53C9x, Emulex ESP406, and Qlogic FAS408 SCSI driver
.Sh SYNOPSIS
.Ss ISA bus
.Cd "esp0 at isa? port 0x230 irq ?"
.Ss PCMCIA
.Cd "esp* at pcmcia? function ?"
.Ss MCA
.Cd "esp* at mca? slot ?"
.Ss mac68k
.Cd "esp0 at obio?"
.Cd "esp1 at obio?"
.Ss macppc
.Cd "esp0 at obio0 flags 0x00ff"
.Ss sun3x
.Cd "esp0 at obio0 addr 0x66000000 ipl 2 flags 0xff0f"
.Ss sparc
.Cd "dma0 at obio0 addr 0xfa001000 level 4" Pq Sun 4/300
.Cd "esp0 at obio0 addr 0xfa000000 level 4" Pq Sun 4/300
.Pp
.Cd "dma0 at sbus0 slot ? offset ?" Pq sun4c and sun4m
.Cd "esp0 at sbus0 slot ? offset ?" Pq sun4c
.Cd "esp0 at dma0" Pq sun4m
.Pp
.Cd "dma* at sbus? slot ? offset ?" Pq Sbus
.Cd "esp* at sbus? slot ? offset ?" Pq SBus, older PROMs
.Cd "esp* at dma?" Pq SBus
.Pp
.Cd "scsibus* at esp?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn NCR
53C90, 53C94 and 53C96;
.Tn Emulex
ESP100, ESP100A, ESP200 and ESP406; and
.Tn Qlogic
FAS216 and FAS408
.Tn SCSI
controller chips found in a wide variety of systems and peripheral boards.
This includes the
.Tn Qlogic
.Tn ISA
and
.Tn VLB
.Tn SCSI
host adapters, and the
.Tn Sun
Fast
.Tn SCSI
buffered
.Tn Ethernet
for
.Tn Sbus
.Pq FSBE/S, X1053A, Sun part # 501-2015 .
.Pp
For
.Tn Qlogic
.Tn PCI
.Tn SCSI
host adapters, use the
.Xr isp 4
device.
.Sh CONFIGURATION
The
.Nm
driver supports the following
.Sy flags
for use in
.Xr config 1
files:
.Pp
.Bl -tag -compact -width "bits 16-23:"
.It bits 0-7 :
disable disconnect/reselect for the corresponding
.Tn SCSI
target
.It bits 8-15 :
disable synchronous negotiation for the corresponding
.Tn SCSI
target
.It bits 16-23 :
disable tagged queuing for the corresponding
.Tn SCSI
target
.El
.Pp
.Qq Target
is synonymous with
.Tn SCSI
ID number.
.Pp
Note that
.Tn SCSI
tape drives should be allowed to perform disconnect/reselect or performance
will suffer.
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr intro 4 ,
.Xr le 4 ,
.Xr mca 4 ,
.Xr pcmcia 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr ss 4 ,
.Xr st 4 ,
.Xr uk 4
.Pp
.Bl -item -compact
.It
http://www.qlc.com/
.It
http://www.sun.com/
.El
.\" .Sh BUGS
.\" Neither
.\" .Tn DMA
.\" or synchronous data transfers are currently supported.
